Skip to content

Video and Show Detail

O. Like/Unlike and Report Endpoints Required

  • Status: Required and missing endpoints
  • Scope: Needed for Video and Show Detail screens.

Client Response:

  • POST /v3/reactions{ targetType: "VIDEO", targetId: "<id>", emoji: "❤️" }
  • DELETE /v3/reactions — same body to unlike
  • GET /v3/reactions/summary/{targetType}/{targetId} — reaction counts by emoji
  • Supported types: VIDEO, POST, COMMENT, SERIES

Developer Observation:

i) Regarding GET reactions count endpoint -> GET /v3/reactions/summary/{targetType}/{targetId} - Seems I’m getting empty array on its response.

Developer Question:

Could you check below?

Here is the curl request:

bash
curl -X 'GET' \
  'https://staging-api.drop.tv/v3/reactions/summary/VIDEO/cmmxqyfzv006o3p73bethlp8k' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjbW43NTVmYmMxMWs2M3A0emk1a21zbng2IiwidHlwZSI6ImFjY2VzcyIsImlhdCI6MTc3NDUyMTQwMiwiZXhwIjoxNzc0NTI1MDAyfQ.t-wo5uYvzayIe8ZTnyKy0_rpRBqXZL_kcVMe6TrrdE8'

JSON Response:

json
{
  "success": true,
  "data": {
    "summary": []
  }
}

Developer Observation:

ii) Regarding Add reaction (like) endpoint - I’m getting Internal Server error.

Here is the curl request:

bash
curl -X 'POST' \
  'https://staging-api.drop.tv/v3/reactions' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjbW43NTVmYmMxMWs2M3A0emk1a21zbng2IiwidHlwZSI6ImFjY2VzcyIsImlhdCI6MTc3NDUyMTQwMiwiZXhwIjoxNzc0NTI1MDAyfQ.t-wo5uYvzayIe8ZTnyKy0_rpRBqXZL_kcVMe6TrrdE8' \
  -H 'Content-Type: application/json' \
  -d '{
  "targetType": "VIDEO",
  "targetId": "cmmxqyfzv006o3p73bethlp8k",
  "emoji": "❤️"
}'

JSON Response:

json
{
  "success": false,
  "error": {
    "code": "INTERNAL",
    "message": "Internal server error"
  },
  "requestId": "bb41d2a5-950b-4615-a1cd-36bfdd891788"
}

Developer Observation:

iii) Regarding Remove reaction (unlike) - Remove a previously added reaction from content.

Here is the curl request:

bash
curl -X 'DELETE' \
  'https://staging-api.drop.tv/v3/reactions' \
  -H 'accept: */*' \
  -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjbW43NTVmYmMxMWs2M3A0emk1a21zbng2IiwidHlwZSI6ImFjY2VzcyIsImlhdCI6MTc3NDUyMTQwMiwiZXhwIjoxNzc0NTI1MDAyfQ.t-wo5uYvzayIe8ZTnyKy0_rpRBqXZL_kcVMe6TrrdE8' \
  -H 'Content-Type: application/json' \
  -d '{
  "targetType": "VIDEO",
  "targetId": "cmmxqyfzv006o3p73bethlp8k",
  "emoji": "❤️"
}'

Response:

Getting 204 No Content response.

Required Interactions

  • Like / Unlike a video or show
  • Report a video or show with reason/category

Notes

  • Endpoints should support both video and show content types.
  • Requests must be authenticated.